@echo off

echo This is the Prove command file which will run tests on NGINX for Windows
pause

if "%NGX_RX%"=="" set NGX_RX=nginx.exe

if exist logs\results.log del logs\results.log
if exist logs\OKresults.log del logs\OKresults.log
if exist logs\prove-*.log del logs\prove-*.log
if exist logs\results.mrk del logs\results.mrk

echo Starting NGINX (%NGX_RX%) in a seperate window...
start /min %NGX_RX% -c ./tconf/nginx-win-prove.conf
sleep 5

FOR /F "tokens=1,2,3,4,5* skip=10 delims=;" %%a in (prove_tests.txt) do (
  set PVAR1=%%a
  set PVAR2=%%b
  set PVAR3=%%c
  set PVAR4=%%d
  set PVAR5=%%e
  call prove_exec.cmd %1 %2 %3 %4 %5
)

echo:
if not exist logs\results.mrk echo Tests completed OK
if exist logs\results.mrk     echo Tests completed, *** some Failed ! ***
echo Stopping NGINX (%NGX_RX%)
sleep 3
%NGX_RX% -s stop -c ./tconf/nginx-win-prove.conf
echo Results are saved in: logs\results.log and logs\OKresults.log
del logs\prove.log
del logs\proveE.log
rem type logs\results.log

echo:
echo Checking for segfaults and other errors...
sleep 5
echo %ErrorLevel% >nul
findstr /i "c00000" logs\prove-error.log >nul
if not errorlevel 1 echo *** Segfault found ! ***
findstr /i /c:"the \"select\" event" logs\prove-error.log >nul
if not errorlevel 1 echo *** select-boost API failure ! ***
echo:
echo All done.
echo:
pause